## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - a -

- acceleration : celHoverObjectInfo
- accumulated_elapsed : celPcCameraCommon

### - b -

- b : celData
- blue : celData
- bo : celData

### - c -

- c : celLinearGradient
- clear_screen : celPcCameraCommon
- clear_zbuf : celPcCameraCommon
- current_distance : celPcCameraCommon
- current_num_players : celGameInfo
- custom_data : celGameInfo

### - d -

- datatype : Property
- density : celEnvFluid
- desc : Property

### - e -

- engine : celPcCameraCommon
- ent : celData
- entity : celPcCommon
- event_data : celClientEventData, celServerEventData
- event_time : celClientEventData, celServerEventData
- event_type : celClientEventData, celServerEventData

### - f -

- f : celData
- fixed_distance : celPcCameraCommon
- flow : celEnvFluid
- fps_valid : celPcCameraCommon

### - g -

- g3d : celPcCameraCommon
- game_id : celGameInfo
- game_name : celGameInfo
- gravity : celEnvGravity
- green : celData

### - h -

- height : celHoverObjectInfo
- hostname : celPlayer, celGameInfo

### - i -

- ibase : celData
- id : Property
- incoming_bandwidth : celNetworkPlayerStats, celNetworkServerStats
- ip_address : celPlayer, celGameInfo

### - l -

- l : celData
- latency : celNetworkPlayerStats, celNetworkServerStats
- link_type : celNetworkLinkData
- linked_entity : celNetworkLinkData

### - m -

- m : celLinearGradient
- max_fps : celPcCameraCommon
- max_players : celGameInfo
- min_dist : celPcCameraCommon
- min_fps : celPcCameraCommon

### - n -

- network_state : celNetworkServerStats

### - o -

- object_reg : celPcCommon
- outgoing_bandwidth : celNetworkPlayerStats, celNetworkServerStats

### - p -

- parname : celData
- partype : celData
- password : celGameInfo
- pc : celData
- period : celNetworkLinkData
- persistence_mask : celNetworkLinkData
- pl : celPcCommon
- player_id : celPlayer
- player_name : celPlayer
- port_nb : celPlayer, celGameInfo
- propcount : celPcCommon
- propdata : celPcCommon
- props : celPcCommon

### - r -

- readonly : Property
- rect_h : celPcCameraCommon
- rect_set : celPcCameraCommon
- rect_w : celPcCameraCommon
- rect_x : celPcCameraCommon
- rect_y : celPcCameraCommon
- red : celData
- region : celPcCameraCommon
- reliable : celClientEventData, celServerEventData

### - s -

- s : celData
- SCF_DECLARE_IBASE : celOneParameterBlock, celVariableParameterBlock, celGenericParameterBlock, celStandardPersistentDataList, celStandardLocalEntitySet
- smooth_fps : celPcCameraCommon

### - t -

- total_incoming_bandwidth : celNetworkPlayerTotalStats
- total_outgoing_bandwidth : celNetworkPlayerTotalStats
- type : celData

### - u -

- ub : celData
- ul : celData
- use_farplane : celPcCameraCommon
- uw : celData

### - v -

- value : celReturnConstantValue
- vc : celPcCameraCommon
- view : celPcCameraCommon

### - w -

- w : celData

### - x -

- x : celData

### - y -

- y : celData
- yvel : celHoverObjectInfo

### - z -

- z : celData
- zonemgr : celPcCameraCommon